Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.hyades.logging.events
Interface ISimpleEventFactory

All Known Implementing Classes:
  SimpleEventFactoryImpl

Deprecated. This class is deprecated as of 2004-05-17. Use the corresponding class available in org.eclipse.hyades.logging.events.cbe*

public interface ISimpleEventFactory

This base class defines the interface for the SimpleEventFactory. The SimpleEventFactory is a singleton as prescribed by the Abstract Factory pattern (Gamma et.al.). It contains simple constructors to build CommonBaseEvent and related complex type objects.

Since:
  1.0
Version:
  1.0.1
Author:
  Richard K. Duggan, Paul E. Slauenwhite, John K. Gerken

Method Summary
`ICommonBaseEventAnyElement` | `createAnyElement()` Deprecated. Use the otherData as of 1.0.1.
`IAssociatedEvent` | `createAssociatedEvent()` Deprecated. Method createAssociatedEvent.
`IAssociationEngine` | `createAssociationEngine()` Deprecated. Method IAssociationEngine.
`IAvailableSituation` | `createAvailableSituation()` Deprecated. Method createAvailableSituation.
`ICommonBaseEvent` | `createCommonBaseEvent()` Deprecated. Method createCommonBaseEvent.
`ICommonBaseEvent` | `createCommonBaseEvent(java.lang.String extensionName)` Deprecated. Method createCommonBaseEvent.
`ICommonBaseEvent` | `createCommonBaseEvent(java.lang.String extensionName, long creationTime)` Deprecated. Method createCommonBaseEvent.
`IComponentIdentification` | `createComponentIdentification()` Deprecated. Method createComponentIdentification.
`IConfigureSituation` | `createConfigureSituation()` Deprecated. Method createConfigureSituation.
`IConnectSituation` | `createConnectSituation()` Deprecated. Method createConnectSituation.
`IContextDataElement` | `createContextDataElement()` Deprecated. Method createContextDataElement.
`ICreateSituation` | `createCreateSituation()` Deprecated. Method createCreateSituation.
`IDependencySituation` | `createDependencySituation()` Deprecated. Method createDependencySituation.
`IDestroySituation` | `createDestroySituation()` Deprecated. Method createDestroySituation.
`IExtendedDataElement` | `createExtendedDataElement()` Deprecated. Method createExtendedDataElement.
`IFeatureSituation` | `createFeatureSituation()` Deprecated. Method createFeatureSituation.
`java.lang.String` | `createGlobalInstanceId()` Deprecated. Method createGlobalInstanceId.
`IMsgCatalogToken` | `createMsgCatalogToken()` Deprecated. Method IMsgCatalogToken.
`IMsgDataElement` | `createMsgDataElement()` Deprecated. Method createMsgDataElement.
`IOtherSituation` | `createOtherSituation()` Deprecated. Method createOtherSituation.
`IReportSituation` | `createReportSituation()` Deprecated. Method createReportSituation.
`IRequestSituation` | `createRequestSituation()` Deprecated. Method createRequestSituation.
`ISituation` | `createSituation()` Deprecated. Method createMsgDataElement.
`IStartSituation` | `createStartSituation()` Deprecated. Method createStartSituation.
`IStopSituation` | `createStopSituation()` Deprecated. Method createStopSituation.

Method Detail

### createMsgCatalogToken

    public IMsgCatalogToken createMsgCatalogToken()

  Deprecated.
  Method IMsgCatalogToken. Create and return a concrete MsgCatalogToken object. Objects of this type are encapsulated into MsgDataElement objects.

  Returns:
    IMsgCatalogToken

### createAssociationEngine

    public IAssociationEngine createAssociationEngine()

  Deprecated.
  Method IAssociationEngine. Create and return a concrete AssociationEngine object. Objects of this type are encapsulated into CommonBaseEvent objects.

  Returns:
    IAssociationEngine

### createCommonBaseEvent

    public ICommonBaseEvent createCommonBaseEvent()

  Deprecated.
  Method createCommonBaseEvent. Create and return a concrete CommonBaseEvent object.

  Returns:
    ICommonBaseEvent

### createExtendedDataElement

    public IExtendedDataElement createExtendedDataElement()

  Deprecated.
  Method createExtendedDataElement. Create and return a concrete ExtendedDataElement object. Objects of this type are encapsulated into CommonBaseEvent objects.

  Returns:
    IExtendedDataElement

### createAssociatedEvent

    public IAssociatedEvent createAssociatedEvent()

  Deprecated.
  Method createAssociatedEvent. Create and return a concrete AssociatedEvent object. Objects of this type are encapsulated into CommonBaseEvent objects.

  Returns:
    IAssociatedEvent

### createContextDataElement

    public IContextDataElement createContextDataElement()

  Deprecated.
  Method createContextDataElement. Create and return a concrete ContextDataElement object. Objects of this type are encapsulated into CommonBaseEvent objects.

  Returns:
    IContextDataElement

### createAnyElement

    public ICommonBaseEventAnyElement createAnyElement()

  Deprecated. Use the otherData as of 1.0.1.

  Method createAnyElement. Create and return a concrete AnyElement object. Objects of this type are encapsulated into CommonBaseEvent objects.

  Returns:
    ICommonBaseEventAnyElement

### createComponentIdentification

    public IComponentIdentification createComponentIdentification()

  Deprecated.
  Method createComponentIdentification. Create and return a concrete ComponentIdentification object. Objects of this type are encapsulated into CommonBaseEvent objects.

  Returns:
    IComponentIdentification

### createMsgDataElement

    public IMsgDataElement createMsgDataElement()

  Deprecated.
  Method createMsgDataElement. Create and return a concrete MsgDataElement object. Objects of this type are encapsulated into CommonBaseEvent objects.

  Returns:
    IMsgDataElement

### createSituation

    public ISituation createSituation()

  Deprecated.
  Method createMsgDataElement. Create and return a concrete Situation object. Objects of this type are encapsulated into CommonBaseEvent objects.

  Returns:
    ISituation
  Since:
    1.0.1

### createStartSituation

    public IStartSituation createStartSituation()

  Deprecated.
  Method createStartSituation. Create and return a concrete StartSituation object. Objects of this type are encapsulated into CommonBaseEvent objects.

  Returns:
    IStartSituation
  Since:
    1.0.1

### createStopSituation

    public IStopSituation createStopSituation()

  Deprecated.
  Method createStopSituation. Create and return a concrete StopSituation object. Objects of this type are encapsulated into CommonBaseEvent objects.

  Returns:
    IStopSituation
  Since:
    1.0.1

### createConnectSituation

    public IConnectSituation createConnectSituation()

  Deprecated.
  Method createConnectSituation. Create and return a concrete ConnectSituation object. Objects of this type are encapsulated into CommonBaseEvent objects.

  Returns:
    IConnectSituation
  Since:
    1.0.1

### createReportSituation

    public IReportSituation createReportSituation()

  Deprecated.
  Method createReportSituation. Create and return a concrete ReportSituation object. Objects of this type are encapsulated into CommonBaseEvent objects.

  Returns:
    IReportSituation
  Since:
    1.0.1

### createFeatureSituation

    public IFeatureSituation createFeatureSituation()

  Deprecated.
  Method createFeatureSituation. Create and return a concrete FeatureSituation object. Objects of this type are encapsulated into CommonBaseEvent objects.

  Returns:
    IFeatureSituation
  Since:
    1.0.1

### createConfigureSituation

    public IConfigureSituation createConfigureSituation()

  Deprecated.
  Method createConfigureSituation. Create and return a concrete ConfigureSituation object. Objects of this type are encapsulated into CommonBaseEvent objects.

  Returns:
    IConfigureSituation
  Since:
    1.0.1

### createDependencySituation

    public IDependencySituation createDependencySituation()

  Deprecated.
  Method createDependencySituation. Create and return a concrete DependencySituation object. Objects of this type are encapsulated into CommonBaseEvent objects.

  Returns:
    IDependencySituation
  Since:
    1.0.1

### createCreateSituation

    public ICreateSituation createCreateSituation()

  Deprecated.
  Method createCreateSituation. Create and return a concrete CreateSituation object. Objects of this type are encapsulated into CommonBaseEvent objects.

  Returns:
    ICreateSituation
  Since:
    1.0.1

### createDestroySituation

    public IDestroySituation createDestroySituation()

  Deprecated.
  Method createDestroySituation. Create and return a concrete DestroySituation object. Objects of this type are encapsulated into CommonBaseEvent objects.

  Returns:
    IDestroySituation
  Since:
    1.0.1

### createAvailableSituation

    public IAvailableSituation createAvailableSituation()

  Deprecated.
  Method createAvailableSituation. Create and return a concrete AvailableSituation object. Objects of this type are encapsulated into CommonBaseEvent objects.

  Returns:
    IAvailableSituation
  Since:
    1.0.1

### createRequestSituation

    public IRequestSituation createRequestSituation()

  Deprecated.
  Method createRequestSituation. Create and return a concrete RequestSituation object. Objects of this type are encapsulated into CommonBaseEvent objects.

  Returns:
    IRequestSituation
  Since:
    1.0.1

### createOtherSituation

    public IOtherSituation createOtherSituation()

  Deprecated.
  Method createOtherSituation. Create and return a concrete OtherSituation object. Objects of this type are encapsulated into CommonBaseEvent objects.

  Returns:
    IOtherSituation
  Since:
    1.0.1

### createCommonBaseEvent

    public ICommonBaseEvent createCommonBaseEvent(java.lang.String extensionName)

  Deprecated.
  Method createCommonBaseEvent. Create and return a concrete CommonBaseEvent object.

  Returns:
    ICommonBaseEvent

### createCommonBaseEvent

    public ICommonBaseEvent createCommonBaseEvent(java.lang.String extensionName,
                                                  long creationTime)

  Deprecated.
  Method createCommonBaseEvent. Create and return a concrete CommonBaseEvent object.

  Returns:
    ICommonBaseEvent

### createGlobalInstanceId

    public java.lang.String createGlobalInstanceId()

  Deprecated.
  Method createGlobalInstanceId. Create and return a Global Instance ID (GUID).

  Returns:
    String

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD